Delete a Temporary Queue

delete

/temporaryQueues/{queueName}

Delete the temporary queue with the given name.

Request

Path Parameters
Back to Top

Response

204 Response

Temporary Queue deleted.

404 Response

Error Codes

  • destinationNotFound: The temporary destination whose deletion is requested does not exist.

500 Response

Error Codes

  • operationFailed:A low-level exception occurred in attempting to delete the temporary queue.
Back to Top

Examples

cURL Command

cookie=/tmp/messaging-cookie
curl -s -u $USER:$PASS -c $cookie -b $cookie \
     -H "X-OC-ID-TOKEN-STATUS: disabled" \
     -X DELETE "https://messaging.us2.oraclecloud.com/myService-myTenant/api/v1/temporaryQueues/CFDF99EE0C424C21"

There is no request body to submit with the HTTP request and there is no response body.

Back to Top